import * as pgwire from '@powersync/service-jpgwire';
import { NormalizedPostgresConnectionConfig } from '../types/types.js';
export declare class PgManager {
    options: NormalizedPostgresConnectionConfig;
    poolOptions: pgwire.PgPoolOptions;
    /**
     * Do not use this for any transactions.
     */
    readonly pool: pgwire.PgClient;
    private connectionPromises;
    constructor(options: NormalizedPostgresConnectionConfig, poolOptions: pgwire.PgPoolOptions);
    get connectionTag(): string;
    /**
     * Create a new replication connection.
     */
    replicationConnection(): Promise<pgwire.PgConnection>;
    /**
     * Create a new standard connection, used for initial snapshot.
     *
     * This connection must not be shared between multiple async contexts.
     */
    snapshotConnection(): Promise<pgwire.PgConnection>;
    end(): Promise<void>;
    destroy(): Promise<void>;
}
